import request from "@/utils/request";
import constant from "@/utils/constant";

// 分页查询业务数据
const getData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/baseData/getBasedata', params);
}
// 新增业务数据
const addData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/baseData/addBaseData', params);
}
// 修改业务数据
const updateData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/baseData/addBaseData', params);
}
// 删除业务数据
const deleteData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/baseData/deleteBaseDataById', params)
}

export default {
    getData,
    addData,
    updateData,
    deleteData,
}